Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.beid.domain
Enum SpecialStatus

    java.lang.Object
      java.lang.Enum<SpecialStatus>
          be.ehealth.technicalconnector.beid.domain.SpecialStatus

All Implemented Interfaces:
  Serializable, Comparable<SpecialStatus>

    public enum SpecialStatus

extends Enum<SpecialStatus>
implements Serializable

Special status Enumeration to specify additional information

Enum Constant Summary
`EXTENDED_MINORITY` Extended minority
`NO_STATUS` No Status
`WHITE_CANE` White cane
`WHITE_CANE_EXTENDED_MINORITY` White can extended minority
`YELLOW_CANE` Yellow cane
`YELLOW_CANE_EXTENDED_MINORITY` Yellow cane extended minority

Method Summary
`boolean` | `hasBadSight()`
`boolean` | `hasExtendedMinority()`
`boolean` | `hasWhiteCane()`
`boolean` | `hasYellowCane()`
`static SpecialStatus` | `toSpecialStatus(String value)` Transforms a string value into a SpecialStatus
`static SpecialStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpecialStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_STATUS

    public static final SpecialStatus NO_STATUS

  No Status

### WHITE_CANE

    public static final SpecialStatus WHITE_CANE

  White cane

### EXTENDED_MINORITY

    public static final SpecialStatus EXTENDED_MINORITY

  Extended minority

### WHITE_CANE_EXTENDED_MINORITY

    public static final SpecialStatus WHITE_CANE_EXTENDED_MINORITY

  White can extended minority

### YELLOW_CANE

    public static final SpecialStatus YELLOW_CANE

  Yellow cane

### YELLOW_CANE_EXTENDED_MINORITY

    public static final SpecialStatus YELLOW_CANE_EXTENDED_MINORITY

  Yellow cane extended minority

Method Detail

### values

    public static SpecialStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpecialStatus c : SpecialStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpecialStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### hasWhiteCane

    public boolean hasWhiteCane()

  Returns:
    true if has a white cane or false

### hasExtendedMinority

    public boolean hasExtendedMinority()

  Returns:
    true if has an extended minority, or false

### hasYellowCane

    public boolean hasYellowCane()

  Returns:
    true if has a yellow cane or false

### hasBadSight

    public boolean hasBadSight()

  Returns:
    true if has a bad sight or false

### toSpecialStatus

    public static SpecialStatus toSpecialStatus(String value)

  Transforms a string value into a SpecialStatus

  Parameters:
    `value` - the string value
  Returns:
    the special status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.